/***************************************************************************
                          kstartuplogo.cpp  -  description
                             -------------------
    artwork              : KDevelop Project / Ralf Nolden <nolden@kde.org>
    begin                : Mon Oct 1 2001
    copyright            : (C) 2001 by Kai Heitkamp
    email                : koncd@kai-heitkamp.de
 ***************************************************************************/

#include "kstartuplogo.h"

#include <kapplication.h>
#include <kstandarddirs.h>

KStartupLogo::KStartupLogo(QWidget * parent, const char *name) : QWidget(parent,name, WStyle_NoBorder | WStyle_Customize | WDestructiveClose ), m_bReadyToHide( false ){
  QPixmap pm;
  pm.load(locate("appdata", "logo.png"));
  setBackgroundPixmap(pm);
  setGeometry(QApplication::desktop()->width()/2-pm.width()/2, QApplication::desktop()->height()/2-pm.height()/2, pm.width(),pm.height());
}

KStartupLogo::~KStartupLogo(){
}

void KStartupLogo::mousePressEvent( QMouseEvent*){
  if (m_bReadyToHide) hide();
}
